## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 21;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.8.2
%bcond_without check

# https://github.com/alecthomas/chroma
%global goipath         github.com/alecthomas/chroma/v2
Version:                2.12.0

%gometa -f

%global common_description %{expand:
A general purpose syntax highlighter in pure Go.}

%global golicenses      COPYING
%global godocs          pygments-lexers.txt README.md bin/README.hermit.md\\\
                        lexers/README.md

Name:           %{goname}
Release:        %autorelease -e 0.riscv64
Summary:        A general purpose syntax highlighter in pure Go

License:        MIT
URL:            %{gourl}
Source:         %{gosource}

# https://github.com/alecthomas/chroma/pull/928
Patch0:         chroma-2.12.0-fix-linefeed-test.patch

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
install -m 0755 -vd                     %{buildroot}%{_datarootdir}/gocode/src/github.com/alecthomas/chroma/v2/lexers/embedded
install -m 0644 -vp %{gobuilddir}/src/github.com/alecthomas/chroma/v2/lexers/embedded/* %{buildroot}%{_datarootdir}/gocode/src/github.com/alecthomas/chroma/v2/lexers/embedded
install -m 0755 -vd                     %{buildroot}%{_datarootdir}/gocode/src/github.com/alecthomas/chroma/v2/styles
install -m 0644 -vp %{gobuilddir}/src/github.com/alecthomas/chroma/v2/styles/* %{buildroot}%{_datarootdir}/gocode/src/github.com/alecthomas/chroma/v2/styles

%if %{with check}
%check
%ifarch riscv64
# lexers: panic: test timed out after 10m0s
%gocheck -d lexers
%else
%gocheck
%endif
%endif

%files
%license COPYING
%doc pygments-lexers.txt README.md bin/README.hermit.md lexers/README.md
%{_bindir}/chroma
%{_bindir}/chromad

%gopkgfiles
%{_datarootdir}/gocode/src/github.com/alecthomas/chroma/v2/lexers/embedded/
%{_datarootdir}/gocode/src/github.com/alecthomas/chroma/v2/styles/

%changelog
* Thu May 30 2024 David Abdurachmanov <davidlt@rivosinc.com> None-21
- Try with -d instead of -t

* Thu May 30 2024 David Abdurachmanov <davidlt@rivosinc.com> None-20
- Disable lexers tests on riscv64 (timeout)

* Wed Feb 14 2024 W. Michael Petullo <mike@flyn.org> None-19
- Patch to fix test rather than avoiding test

* Wed Feb 14 2024 W. Michael Petullo <mike@flyn.org> None-18
- Deactivate test to build and report upstream

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> None-17
- Rebuild for golang 1.22.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> None-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> None-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 03 2024 W. Michael Petullo <mike@flyn.org> None-14
- Update to 2.12.0

* Tue Nov 07 2023 Pavel Solovev <daron439@gmail.com> None-13
- Update to 2.10.0

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> None-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 14 2023 W. Michael Petullo <mike@flyn.org> None-11
- Update to 2.8.0

* Sun Apr 16 2023 Pavel Solovev <daron439@gmail.com> None-10
- Update to 2.7.0

* Sat Feb 25 2023 W. Michael Petullo <mike@flyn.org> None-8
- Update to 2.5.0

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> None-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 11 2023 W. Michael Petullo <mike@flyn.org> None-5
- Update to 2.4.0

* Wed Oct 26 2022 W. Michael Petullo <mike@flyn.org> None-4
- Fix install of embedded files

* Wed Oct 26 2022 W. Michael Petullo <mike@flyn.org> None-3
- Fix name of specification file
